> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List My Purchases

> List current user's purchases.



## OpenAPI

````yaml /openapi.json get /v1/purchases
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/purchases:
    get:
      tags:
        - purchases
      summary: List My Purchases
      description: List current user's purchases.
      operationId: list_my_purchases_v1_purchases_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PurchaseListResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PurchaseListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PurchaseListItem'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: PurchaseListResponse
    PurchaseListItem:
      properties:
        purchase_id:
          type: string
          title: Purchase Id
        skill_slug:
          type: string
          title: Skill Slug
        skill_title:
          type: string
          title: Skill Title
        amount_cents:
          type: integer
          title: Amount Cents
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        license_code:
          anyOf:
            - type: string
            - type: 'null'
          title: License Code
        purchased_at:
          type: string
          title: Purchased At
        author_display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Display Name
        author_display_name_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Display Name Slug
      type: object
      required:
        - purchase_id
        - skill_slug
        - skill_title
        - amount_cents
        - currency
        - status
        - purchased_at
      title: PurchaseListItem
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide a Clerk JWT or a long-lived CLI token (prefix `ap_cli_`).  Pass
        as `Authorization: Bearer <token>`.

````